<?php

//////////////////////////////////////////////////////////////
//===========================================================
// clone.php
//===========================================================
// SOFTACULOUS 
// Version : 4.2.8
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       10th Jan 2009
// Time:       21:00 hrs
// Site:       http://www.softaculous.com/ (SOFTACULOUS)
// ----------------------------------------------------------
// Please Read the Terms of use at http://www.softaculous.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Inc.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('SOFTACULOUS')){

	die('Hacking Attempt');

}

//The Install process
function __clone(){

global $__settings, $error, $software, $globals, $replace_data, $source_data;
	
	//Do we meet the Minimum software requirements
	__requirements();
	
	if(!empty($error)){
		return false;
	}
	
	$temp = parse_url($__settings['softurl']);
	$__settings['relativeurl'] = $temp['path'];
	$__settings['domhost'] = $temp['host'];
	$__settings['protocol'] = $temp['scheme'];
	
	$temp = parse_url($source_data['softurl']);
	$source_data['relativeurl'] = $temp['path'];
	$source_data['domhost'] = $temp['host'];
	$source_data['protocol'] = $temp['scheme'];
	
	// configure.php
	$file = sfile($__settings['softpath'].'/includes/configure.php');
	
	if(empty($file)){
		$error[] = '{{err_openconfig}}';
		return false;
	}
	
	soft_preg_replace('/const(\s*?)HTTP_SERVER(\s*?)=(\s*?)("|\')(.*?)("|\');/is', $file, $__settings['HTTP_SERVER'], 5);
	
	soft_preg_replace('/const(\s*?)HTTP_CATALOG_SERVER(\s*?)=(\s*?)("|\')(.*?)("|\');/is', $file, $__settings['HTTP_CATALOG_SERVER'], 5);
	
	$replace_data['const HTTP_SERVER = \''.$source_data['protocol'].'://'.$source_data['domhost'].'\';'] =  'const HTTP_SERVER = \''.$__settings['protocol'].'://'.$__settings['domhost'].'\';';
	
	$replace_data['const HTTP_CATALOG_SERVER = \''.$source_data['protocol'].'://'.$source_data['domhost'].'\';'] =  'const HTTP_CATALOG_SERVER = \''.$__settings['protocol'].'://'.$__settings['domhost'].'\';';
	
	$replace_data['\''.$source_data['relativeurl'].'/\''] =  '\''.$__settings['relativeurl'].'/\'';
	
	$replace_data['\''.$source_data['relativeurl'].'/admin/\''] =  '\''.$__settings['relativeurl'].'/admin/\'';
	
	$replace_data['\''.$source_data['relativeurl'].'/admin\''] =  '\''.$__settings['relativeurl'].'/admin\'';
	
	$replace_data['\'domain\' => \''.$source_data['domhost'].'\','] =  '\'domain\' => \''.$__settings['domhost'].'\',';
	
	// configure.php
	sclone_replace($replace_data, $__settings['softpath'].'/includes/configure.php', true);
	
	// configure.php
	sclone_replace($replace_data, $__settings['softpath'].'/admin/includes/configure.php', true);
		
	if(sfile_exists($__settings['softpath'].'/.htaccess')){
	
		// If the installation is on root domain we need to change the below relative URL
		if(is_dom_root($source_data['softpath'])){
			$replace_data['RewriteBase \'/\''] = 'RewriteBase \''.$__settings['relativeurl'].'\'';
			$replace_data['RewriteBase /'] = 'RewriteBase '.$__settings['relativeurl'];
		}elseif(is_dom_root($__settings['softpath'])){
			$replace_data['RewriteBase \''.$source_data['relativeurl'].'\''] = 'RewriteBase \'/\'';
			$replace_data['RewriteBase '.$source_data['relativeurl']] = 'RewriteBase /';
		}
		
		sclone_replace($replace_data, $__settings['softpath'].'/.htaccess', true);		
	}
	
	// CHMOD
	@schmod($__settings['softpath'].'/images/', $globals['odc'], 1);
	@schmod($__settings['softpath'].'/pub/', $globals['odc'], 1);
	@schmod($__settings['softpath'].'/includes/work/', $globals['odc'], 1);
	
}

//Check whether the Minimum Software configuration matches
function __requirements(){

global $__settings, $error, $software;
	
	return true;

}

?>